-- ============================================================================
-- == AceLocale Localisation File - enUS (US English Locale).                ==
-- ==                                                                        ==
-- == This file provides "key=value" references to messages used by the      ==
-- == addon. Other versions of this file may exist for alternative languages ==
-- == as appropriate.                                                        ==
-- ============================================================================

local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L         = AceLocale:NewLocale("HalonaTools", "enUS", true)

if not L then return end

-- ============================================================================
-- == Localisation Data.                                                     ==
-- ==                                                                        ==
-- == Each entry is provided in the following form:                          ==
-- ==                                                                        ==
-- == L["{keyname}"] = "{value}"                                             ==
-- ==                                                                        ==
-- == These keys are then referenced within the main LUA code-files whenever ==
-- == one of the values needs to be retrieved, assuming the reference "L"    ==
-- == has first been configured using the standard declaration format.       ==
-- ==                                                                        ==
-- == local L = LibStub("AceLocale-3.0"):GetLocale("HalonaTools")            ==
-- ==                                                                        ==
-- ============================================================================

-- ============================================================================
-- == Localisation Data for Component: ALL (ie: used by multiple components.)==
-- ============================================================================

L["addon-name"]                 = "HalonaTools"
L["addon-version-number"]       = "1.0"
L["addon-version-name"]         = "Cataclysm - Small Acorns"

L["addon-desc-01"]              = "A collection of useful tools and utilities for"
L["addon-desc-02"]              = "smarter than average bears."

-- ============================================================================
-- == Guild Rank Configuration. This should be configured explicitly for the ==
-- == guild/s the user belongs to. For each guild, there should be an entry  ==
-- == for each rank linking the guild rank number (1-10) to the guild rank   ==
-- == name and another entry linking the guild rank number (1-10) to a list  ==
-- == of '|' separated tags, each tag representing a property that indicates ==
-- == how that rank is being used. (eg: == "member-ranked|main") Ranks that  ==
-- == are not in active use simply have a value of "<unset>" in both cases.  ==
-- ============================================================================

L["halona-rank-01-name"]        = "Guild Master"
L["halona-rank-02-name"]        = "Officer"
L["halona-rank-03-name"]        = "Alt-Officer"
L["halona-rank-04-name"]        = "Member"
L["halona-rank-05-name"]        = "Alt"
L["halona-rank-06-name"]        = "Trial Member"
L["halona-rank-07-name"]        = "<unset>"
L["halona-rank-08-name"]        = "<unset>"
L["halona-rank-09-name"]        = "<unset>"
L["halona-rank-10-name"]        = "<unset>"

L["halona-rank-01-tags"]        = "gm-ranked|officer-ranked|main"
L["halona-rank-02-tags"]        = "officer-ranked|main"
L["halona-rank-03-tags"]        = "officer-ranked|alt"
L["halona-rank-04-tags"]        = "member-ranked|main"
L["halona-rank-05-tags"]        = "member-ranked|alt"
L["halona-rank-06-tags"]        = "trial-ranked|main"
L["halona-rank-07-tags"]        = "<unset>"
L["halona-rank-08-tags"]        = "<unset>"
L["halona-rank-09-tags"]        = "<unset>"
L["halona-rank-10-tags"]        = "<unset>"

L["theevilleagueofevil-rank-01-name"] = "Stallion of Sin"
L["theevilleagueofevil-rank-02-name"] = "Arch-Nemesis"
L["theevilleagueofevil-rank-03-name"] = "Super-Villain"
L["theevilleagueofevil-rank-04-name"] = "Evil Henchman"
L["theevilleagueofevil-rank-05-name"] = "Evil Minion"
L["theevilleagueofevil-rank-06-name"] = "Putrid Slime"
L["theevilleagueofevil-rank-07-name"] = "<unset>"
L["theevilleagueofevil-rank-08-name"] = "<unset>"
L["theevilleagueofevil-rank-09-name"] = "<unset>"
L["theevilleagueofevil-rank-10-name"] = "<unset>"

L["theevilleagueofevil-rank-01-tags"] = "gm|officer|officer-ranked|main"
L["theevilleagueofevil-rank-02-tags"] = "officer|officer-ranked|main"
L["theevilleagueofevil-rank-03-tags"] = "member-ranked|main"
L["theevilleagueofevil-rank-04-tags"] = "member-ranked|alt"
L["theevilleagueofevil-rank-05-tags"] = "member-ranked|alt"
L["theevilleagueofevil-rank-06-tags"] = "trial-ranked|main"
L["theevilleagueofevil-rank-07-tags"] = "<unset>"
L["theevilleagueofevil-rank-08-tags"] = "<unset>"
L["theevilleagueofevil-rank-09-tags"] = "<unset>"
L["theevilleagueofevil-rank-10-tags"] = "<unset>"

-- ============================================================================
-- == Localisation Data common to all components:                            ==
-- ============================================================================
L["all-data-status-on"]               = "On"
L["all-data-status-off"]              = "Off"
L["all-data-status-0"]                = "0"
L["all-data-status-1"]                = "1"

L["all-data-classname-deathknight"]   = "Death Knight"
L["all-data-classname-druid"]         = "Druid"
L["all-data-classname-hunter"]        = "Hunter"
L["all-data-classname-mage"]          = "Mage"
L["all-data-classname-paladin"]       = "Paladin"
L["all-data-classname-priest"]        = "Priest"
L["all-data-classname-rogue"]         = "Rogue"
L["all-data-classname-shaman"]        = "Shaman"
L["all-data-classname-warlock"]       = "Warlock"
L["all-data-classname-warrior"]       = "Warrior"

-- ============================================================================
-- == Localisation Data for Prime Resource: HalonaTools                      ==
-- ============================================================================
L["ht-raid-invites-begin-gmotd-01"]   = "The Raid Invitation Period has begun. Whisper the word 'invite' to CHARACTER_NAME now for an automatic invitation to the raid."
L["ht-raid-invites-begin-gchat-01"]   = "The Raid Invitation Period has begun. Whisper the word 'invite' to CHARACTER_NAME now for an automatic invitation to the raid."
L["ht-raid-invites-begin-title-01"]   = "RAID INVITATION PERIOD"

L["ht-raid-session-begin-gmotd-01"]   = "The Raid Session has begun. Whisper the phrase 'wl add' to CHARACTER_NAME now to join the wait-list for the raid."
L["ht-raid-session-begin-gchat-01"]   = "The Raid Session has begun. Whisper the phrase 'wl add' to CHARACTER_NAME now to join the wait-list for the raid."
L["ht-raid-session-begin-title-01"]   = "RAID SESSION STARTED"

L["ht-raid-session-end-gmotd-01"]     = "The Raid Session has ended. Thank you for playing tonight and see you at the next one. Game over man, game over!!!"
L["ht-raid-session-end-gchat-01"]     = "The Raid Session has ended. Thank you for playing tonight and see you at the next one. Game over man, game over!!!"
L["ht-raid-session-end-title-01"]     = "RAID SESSION ENDED"

L["ht-raid-break-timer-01"]           = "Raid Break"
L["ht-raid-break-timer-02"]           = "The raid break timer is up! You have TIMER_DURATION minutes to take a bio, grab a drink and kiss your loved ones. See you back here when the timer runs out!"

-- ============================================================================
-- == Localisation Data for Component: HTBrokerSupport                       ==
-- ============================================================================
L["ldb-tooltip-heading-guildinfo"]          = "Guild Information:"
L["ldb-tooltip-item-name-name"]             = "Name"
L["ldb-tooltip-item-name-rank"]             = "Rank"
L["ldb-tooltip-item-name-level"]            = "Level"
L["ldb-tooltip-heading-actions"]            = "Actions:"
L["ldb-tooltip-item-name-leftclick"]        = "Left Click"
L["ldb-tooltip-item-value-leftclick"]       = "<unset>"
L["ldb-tooltip-item-name-rightclick"]       = "Right Click"
L["ldb-tooltip-item-value-rightclick"]      = "Show Menu"

-- == "Halona Tools" menu and its options. ====================================

L["ldb-menu-main-name"]                     = "HalonaTools Menu"

L["ldb-menu-item-about-txt-name"]           = "About"
L["ldb-menu-item-about-tip-name"]           = "About"
L["ldb-menu-item-about-tip-desc"]           = "About the HalonaTools addon."

L["ldb-menu-item-closemenu-txt-name"]       = "Close Menu"
L["ldb-menu-item-closemenu-tip-name"]       = "Close Menu"
L["ldb-menu-item-closemenu-tip-desc"]       = "Closes and hides the drop-down menus."

-- == "Raid Functions" menu and its options. ==================================

L["ldb-menu-raid-name"]                     = "Raid Menu"

L["ldb-menu-heading-raid-txt-name"]         = "Raid Functions"
L["ldb-menu-heading-raid-tip-name"]         = "Raid Functions"
L["ldb-menu-heading-raid-tip-desc"]         = "Provides functions related to raiding."

L["ldb-menu-item-begin-invites-txt-name"]   = "Begin Invitation Period"
L["ldb-menu-item-begin-invites-tip-name"]   = "Begin Invitation Period"
L["ldb-menu-item-begin-invites-tip-desc"]   = "Initiates the invitation period with an announcement and an update to the GMOTD."

L["ldb-menu-item-begin-raid-txt-name"]      = "Begin Raid Session"
L["ldb-menu-item-begin-raid-tip-name"]      = "Begin Raid Session"
L["ldb-menu-item-begin-raid-tip-desc"]      = "Initiates the raid period with an announcement and an update to the GMOTD."

L["ldb-menu-item-end-raid-txt-name"]        = "End Raid Session"
L["ldb-menu-item-end-raid-tip-name"]        = "End Raid Session"
L["ldb-menu-item-end-raid-tip-desc"]        = "Terminates the raid period with an announcement and an update to the GMOTD."

L["ldb-menu-item-dbm-timer-05m-txt-name"]   = "Break Timer - 5 mins"
L["ldb-menu-item-dbm-timer-05m-tip-name"]   = "Break Timer - 5 mins"
L["ldb-menu-item-dbm-timer-05m-tip-desc"]   = "Creates a break time using the DBM:PizzaTimer functionality."

L["ldb-menu-item-dbm-timer-10m-txt-name"]   = "Break Timer - 10 mins"
L["ldb-menu-item-dbm-timer-10m-tip-name"]   = "Break Timer - 10 mins"
L["ldb-menu-item-dbm-timer-10m-tip-desc"]   = "Creates a break time using the DBM:PizzaTimer functionality."

L["ldb-menu-item-dbm-timer-15m-txt-name"]   = "Break Timer - 15 mins"
L["ldb-menu-item-dbm-timer-15m-tip-name"]   = "Break Timer - 15 mins"
L["ldb-menu-item-dbm-timer-15m-tip-desc"]   = "Creates a break time using the DBM:PizzaTimer functionality."

L["ldb-menu-item-dbm-timer-20m-txt-name"]   = "Break Timer - 20 mins"
L["ldb-menu-item-dbm-timer-20m-tip-name"]   = "Break Timer - 20 mins"
L["ldb-menu-item-dbm-timer-20m-tip-desc"]   = "Creates a break time using the DBM:PizzaTimer functionality."

L["ldb-menu-item-dbm-timer-25m-txt-name"]   = "Break Timer - 25 mins"
L["ldb-menu-item-dbm-timer-25m-tip-name"]   = "Break Timer - 25 mins"
L["ldb-menu-item-dbm-timer-25m-tip-desc"]   = "Creates a break time using the DBM:PizzaTimer functionality."

L["ldb-menu-item-dbm-timer-30m-txt-name"]   = "Break Timer - 30 mins"
L["ldb-menu-item-dbm-timer-30m-tip-name"]   = "Break Timer - 30 mins"
L["ldb-menu-item-dbm-timer-30m-tip-desc"]   = "Creates a break time using the DBM:PizzaTimer functionality."

-- == "Invitations" menu and its options. =====================================

L["ldb-menu-invitations-name"]              = "Invitations Menu"

L["ldb-menu-heading-invitations-txt-name"]  = "Invitations"
L["ldb-menu-heading-invitations-tip-name"]  = "Invitations"
L["ldb-menu-heading-invitations-tip-desc"]  = "Provides functions related to invitations."

L["ldb-menu-item-autoinvitations-txt-name"] = "AutoInvitations"
L["ldb-menu-item-autoinvitations-tip-name"] = "AutoInvitations"
L["ldb-menu-item-autoinvitations-tip-desc"] = "Enables the AutoInvitations feature to be switched on and off."

-- == "System" menu and its options. ==========================================

L["ldb-menu-system-name"]                   = "System Menu"

L["ldb-menu-heading-system-txt-name"]       = "System Menu"
L["ldb-menu-heading-system-tip-name"]       = "System Menu"
L["ldb-menu-heading-system-tip-desc"]       = "Provides system functions."

L["ldb-menu-item-debugmode-txt-name"]       = "Debug Mode"
L["ldb-menu-item-debugmode-tip-name"]       = "Debug Mode"
L["ldb-menu-item-debugmode-tip-desc"]       = "Enables the Debug Mode feature to be switched on and off."

L["ldb-menu-item-config-txt-name"]          = "Config"
L["ldb-menu-item-config-tip-name"]          = "Config"
L["ldb-menu-item-config-tip-desc"]          = "Configure the HalonaTools addon."

-- ============================================================================
-- == Localisation Data for Component: HTBuffMonitor                         ==
-- ============================================================================
L["bfm-missing-buff-flask"]                 = "- CHARACTER_NAME is missing a suitable flask buff."
L["bfm-missing-buff-battle-elixir"]         = "- CHARACTER_NAME is missing a suitable battle elixir buff."
L["bfm-missing-buff-guardian-elixir"]       = "- CHARACTER_NAME is missing a suitable guardian elixir buff."
L["bfm-missing-buff-no-flask-or-elixirs"]   = "- CHARACTER_NAME is missing a suitable flask or paired elixir buff."
L["bfm-missing-buff-food"]                  = "- CHARACTER_NAME is missing a suitable well fed food buff."
L["bfm-missing-buff-weapon-poisons"]        = "- CHARACTER_NAME is missing one or more weapon poison buffs."

L["bfm-short-buff-duration-announce"]       = "- CHARACTER_NAME's BUFF_NAME buff will expire in less than TIME_LIMIT minutes."
L["bfm-short-buff-duration-whisper"]        = "- Your BUFF_NAME buff will expire in less than TIME_LIMIT minutes."

-- ============================================================================
-- == Localisation Data for Component: HTCommon                              ==
-- ============================================================================
L["common-guildname-unguilded"]             = "Unguilded"
L["common-rankname-unguilded"]              = "Unguilded"

-- ============================================================================
-- == Localisation Data for Component: HTConfig                              ==
-- ============================================================================
L["cfg-console-command-long"]               = "HalonaTools"
L["cfg-console-command-short"]              = "ht"

L["cfg-feature-name-autoinvitations"]       = "AutoInvitations"
L["cfg-feature-desc-autoinvitations"]       = "Determines whether auto-invitations is turned on or off."

L["cfg-feature-name-debugmode"]             = "DebugMode"
L["cfg-feature-desc-debugmode"]             = "Determines whether debug-mode is turned on or off."

-- ============================================================================
-- == Localisation Data for Component: HTConsole                             ==
-- ============================================================================
L["con-autoinvitations-msg-01"]             = "[HT] - AutoInvitations - Inviting you now..."
L["con-autoinvitations-cmd-01"]             = "/invite "
L["con-autoinvitations-keyword-01"]         = "invite"
L["con-autoinvitations-keyword-02"]         = "inv"

-- ============================================================================
-- == Localisation Data for Component: HTData                                ==
-- ============================================================================
L["data-conversion-boolean-as-text-yes"]    = "Yes"
L["data-conversion-boolean-as-text-no"]     = "No"

-- ============================================================================
-- == End of Document.                                                       ==
-- ============================================================================































